{pkgs, ...}: {
  # DDClient for Dynamic IPs
  services.ddclient = let
    secrets = import ../common/secrets.nix;
  in {
    enable = true;
    protocol = "cloudflare";
    use = "web, web=https://ipinfo.io/ip";
    zone = "${secrets.jimDomain}";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" secrets.flareApiKey}";
    domains = [
      "${secrets.jimDomain}"
      "*.${secrets.jimDomain}"
      "beta.${secrets.jimDomain}"
      "git.${secrets.jimDomain}"
      "john.${secrets.jimDomain}"
      "mc.${secrets.jimDomain}"
      "mx.${secrets.jimDomain}"
      "panel.${secrets.jimDomain}"
      "rtmp.${secrets.jimDomain}"
    ];
  };
}
