{
  services.gitea = let
    secrets = import ../common/secrets.nix;
  in {
    enable = true;
    settings = {
      server = {
        DOMAIN = "git.${secrets.jimDomain}";
        ROOT_URL = "https://git.${secrets.jimDomain}:443";
        HTTP_PORT = 3110;
        SSH_PORT = 2299;
        START_SSH_SERVER = true;
      };
      mailer = {
        ENABLED = true;
        SMTP_ADDR = "mx.${secrets.jimDomain}";
        FROM = "Jimbo's Git <noreply@${secrets.jimDomain}>";
        USER = "noreply@${secrets.jimDomain}";
        PASSWD = secrets.noreplyPassword;
        PROTOCOL = "smtps";
      };
      service.REGISTER_EMAIL_CONFIRM = true;
    };
  };
}
