{pkgs, ...}: {
  services.mastodon = let 
    secrets = import ../common/secrets.nix;
  in {
    enable = true;
    localDomain = "social.${secrets.jimDomain}";
    streamingProcesses = 4;
    configureNginx = true;
    smtp = {
      createLocally = false;
      host = "mx.${secrets.jimDomain}";
      port = 587;
      authenticate = true;
      fromAddress = "Jimbo's Mastodon <noreply@${secrets.jimDomain}>";
      user = "noreply@${secrets.jimDomain}";
      passwordFile = pkgs.writeText "smtp_pass.txt" secrets.noreplyPassword;
    };
  };
}
