{
  services.vaultwarden = let
    secrets = import ../common/secrets.nix;
  in {
    enable = true;
    config = {
      DOMAIN = "https://warden.${secrets.jimDomain}";
      SIGNUPS_ALLOWED = false;
      ROCKET_ADDRESS = "127.0.0.1";
      ROCKET_PORT = 8222;
      ROCKET_LOG = "critical";

      # Smtp email
      SMTP_HOST = "mx.${secrets.jimDomain}";
      SMTP_FROM = "Jimbo's Vaultwarden <noreply@${secrets.jimDomain}>";
      SMTP_FROM_NAME = "Vaultwarden";
      SMTP_USERNAME = "noreply@${secrets.jimDomain}";
      SMTP_PASSWORD = secrets.noreplyPassword;
      SMTP_SECURITY = "starttls";
      SMTP_PORT = 587;
      SMTP_TIMEOUT = 15;
    };
  };
}
